com.icesoft.faces.component.selectinputtext

## Class TextChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ValueChangeEvent
      - - com.icesoft.faces.component.selectinputtext.TextChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TextChangeEvent
      extends javax.faces.event.ValueChangeEvent

  TextChangeEvent is broadcast in the APPLY_REQUEST_VALUES phase via the SelectInputText's textChangeListener MethodBinding, containing the SelectInputText's submittedValue as its new value. It's purpose is to notify the application that the user has typed in a text fragment into the SelectInputText's text input field, allowing for the application to refine its selection list which will popup. In the case of converted and validated values, which require a complete input of text, like with a Date, the textChangeListener may call FacesContext.getCurrentInstance().renderResponse() to forstall the doomed validation.
  Since:
    ICEfaces 1.7
  Author:
    Mark Collette
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextChangeEvent(javax.faces.component.UIComponent comp, java.lang.Object oldValue, java.lang.Object newValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)`
    `void` | `processListener(javax.faces.event.FacesListener facesListener)`

    - ### Methods inherited from class javax.faces.event.ValueChangeEvent

      `getNewValue, getOldValue`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextChangeEvent

          public TextChangeEvent(javax.faces.component.UIComponent comp,
                                 java.lang.Object oldValue,
                                 java.lang.Object newValue)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      Overrides:
        `isAppropriateListener` in class `javax.faces.event.ValueChangeEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Overrides:
        `processListener` in class `javax.faces.event.ValueChangeEvent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.